﻿* Encoding: UTF-8.
****29-06-2020 TDG IPCP 2nd semester seniros and students questionnaire syntax****

*SELECT CASE*

USE ALL.
COMPUTE filter_$=(Select_case = 1).
VARIABLE LABELS filter_$ 'Select_case = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

* FOR SENIORS: DEMOGRAPHIC VARIABLES*

FREQUENCIES VARIABLES=Q1.1 Q1.2 Q1.3 Q1.4 Q1.5 Q1.6 Q1.7 Q1.8 Q1.9 Q1.10 Q1.11 Q1.12 Q1.13
  /ORDER=ANALYSIS.

* FOR STUDENTS: DEMOGRAPHIC VARIABLES*

FREQUENCIES VARIABLES=Q1.1 Q1.2 Q1.3 Q1.4 Q1.5 Q1.6 Q1.7 Q1.8 Q1.9
  /ORDER=ANALYSIS.

*SECTION 2: DESIGN THINKING*

*Reverse variables*

RECODE T1_Q2.2 T1_Q2.3 T1_Q2.8 T1_Q2.14 (1=5) (2=4) (4=2) (5=1) (ELSE=Copy) INTO T1_Q2.2r T1_Q2.3r T1_Q2.8r 
    T1_Q2.14r.
EXECUTE.

RECODE T2_Q2.2 T2_Q2.3 T2_Q2.8 T2_Q2.14 (1=5) (2=4) (4=2) (5=1) (ELSE=Copy) INTO T2_Q2.2r T2_Q2.3r T2_Q2.8r 
    T2_Q2.14r.
EXECUTE.

*Compute total scores*

COMPUTE Pre_whole_design=T1_Q2.1 + T1_Q2.2r + T1_Q2.3r + T1_Q2.4 + T1_Q2.5 + T1_Q2.6 + T1_Q2.7 + T1_Q2.8r + T1_Q2.9 + T1_Q2.10 + T1_Q2.11 + T1_Q2.12 + T1_Q2.13 + T1_Q2.14r + T1_Q2.15 + T1_Q2.16 + T1_Q2.17 + T1_Q2.18 +T1_Q2.19 + T1_Q2.20 + T1_Q2.21
+ T1_Q2.22 + T1_Q2.23 + T1_Q2.24 + T1_Q2.25 + T1_Q2.26 + T1_Q2.27 + T1_Q2.28 + T1_Q2.29 + T1_Q2.30 + T1_Q2.31 + T1_Q2.32 + T1_Q2.33 + T1_Q2.34 + T1_Q2.35 + T1_Q2.36 + T1_Q2.37 + T1_Q2.38 + T1_Q2.39 + T1_Q2.40
+ T1_Q2.41 + T1_Q2.42 + T1_Q2.43 + T1_Q2.44 + T1_Q2.45 + T1_Q2.46 + T1_Q2.47 + T1_Q2.48 + T1_Q2.49.
EXECUTE.
COMPUTE Post_whole_design=T2_Q2.1 + T2_Q2.2r + T2_Q2.3r + T2_Q2.4 + T2_Q2.5 + T2_Q2.6 + T2_Q2.7 + T2_Q2.8r + T2_Q2.9 + T2_Q2.10 + T2_Q2.11 + T2_Q2.12 + T2_Q2.13 + T2_Q2.14r + T2_Q2.15 + T2_Q2.16 + T2_Q2.17 + T2_Q2.18 +T2_Q2.19 + T2_Q2.20 + T2_Q2.21
+ T2_Q2.22 + T2_Q2.23 + T2_Q2.24 + T2_Q2.25 + T2_Q2.26 + T2_Q2.27 + T2_Q2.28 + T2_Q2.29 + T2_Q2.30 + T2_Q2.31 + T2_Q2.32 + T2_Q2.33 + T2_Q2.34 + T2_Q2.35 + T2_Q2.36 + T2_Q2.37 + T2_Q2.38 + T2_Q2.39 + T2_Q2.40
+ T2_Q2.41 + T2_Q2.42 + T2_Q2.43 + T2_Q2.44 + T2_Q2.45 + T2_Q2.46 + T2_Q2.47 + T2_Q2.48 + T2_Q2.49.
EXECUTE.

COMPUTE Pre_2A=T1_Q2.1 + T1_Q2.2r + T1_Q2.3r.
EXECUTE.
COMPUTE Post_2A=T2_Q2.1 + T2_Q2.2r + T2_Q2.3r.
EXECUTE.
COMPUTE Pre_2B=T1_Q2.4.
EXECUTE.
COMPUTE Post_2B=T2_Q2.4.
EXECUTE.
COMPUTE Pre_2C=T1_Q2.5 + T1_Q2.6.
EXECUTE.
COMPUTE Post_2C=T2_Q2.5 + T2_Q2.6.
EXECUTE.
COMPUTE Pre_2D=T1_Q2.7 + T1_Q2.8r + T1_Q2.9.
EXECUTE.
COMPUTE Post_2D=T2_Q2.7 + T2_Q2.8r + T2_Q2.9.
EXECUTE.
COMPUTE Pre_2E=T1_Q2.10 + T1_Q2.11.
EXECUTE.
COMPUTE Post_2E=T2_Q2.10 + T2_Q2.11.
EXECUTE.
COMPUTE Pre_2F=T1_Q2.12.
EXECUTE.
COMPUTE Post_2F=T2_Q2.12.
EXECUTE.
COMPUTE Pre_2G=T1_Q2.13.
EXECUTE.
COMPUTE Post_2G=T2_Q2.13.
EXECUTE.
COMPUTE Pre_2H=T1_Q2.14r + T1_Q2.15 + T1_Q2.16 + T1_Q2.17 + T1_Q2.18 + T1_Q2.19 + T1_Q2.20 + T1_Q2.21.
EXECUTE.
COMPUTE Post_2H=T2_Q2.14r + T2_Q2.15 + T2_Q2.16 + T2_Q2.17 + T2_Q2.18 + T2_Q2.19 + T2_Q2.20 + T2_Q2.21.
EXECUTE.
COMPUTE Pre_2I=T1_Q2.22 + T1_Q2.23.
EXECUTE.
COMPUTE Post_2I=T2_Q2.22 + T2_Q2.23.
EXECUTE.
COMPUTE Pre_2J=T1_Q2.24 + T1_Q2.25 + T1_Q2.26 + T1_Q2.27.
EXECUTE.
COMPUTE Post_2J=T2_Q2.24 + T2_Q2.25 + T2_Q2.26 + T2_Q2.27.
EXECUTE.
COMPUTE Pre_2K=T1_Q2.28 + T1_Q2.29.
EXECUTE.
COMPUTE Post_2K=T2_Q2.28 + T2_Q2.29.
EXECUTE.
COMPUTE Pre_2L=T1_Q2.30 + T1_Q2.30 + T1_Q2.31 + T1_Q2.32 + T1_Q2.33 + T1_Q2.34 + T1_Q2.35.
EXECUTE.
COMPUTE Post_2L=T2_Q2.30 + T2_Q2.30 + T2_Q2.31 + T2_Q2.32 + T2_Q2.33 + T2_Q2.34 + T2_Q2.35.
EXECUTE.
COMPUTE Pre_2M=T1_Q2.36 + T1_Q2.37 + T1_Q2.38 + T1_Q2.39.
EXECUTE.
COMPUTE Post_2M=T2_Q2.36 + T2_Q2.37 + T2_Q2.38 + T2_Q2.39.
EXECUTE.
COMPUTE Pre_2N=T1_Q2.40 + T1_Q2.41.
EXECUTE.
COMPUTE Post_2N=T2_Q2.40 + T2_Q2.41.
EXECUTE.
COMPUTE Pre_2O=T1_Q2.42.
EXECUTE.
COMPUTE Post_2O=T2_Q2.42.
EXECUTE.
COMPUTE Pre_2P=T1_Q2.43.
EXECUTE.
COMPUTE Post_2P=T2_Q2.43.
EXECUTE.
COMPUTE Pre_2Q=T1_Q2.44 + T1_Q2.45.
EXECUTE.
COMPUTE Post_2Q=T2_Q2.44 + T2_Q2.45.
EXECUTE.
COMPUTE Pre_2R=T1_Q2.46 + T1_Q2.47.
EXECUTE.
COMPUTE Post_2R=T2_Q2.46 + T2_Q2.47.
EXECUTE.
COMPUTE Pre_2S=T1_Q2.48 + T1_Q2.49.
EXECUTE.
COMPUTE Post_2S=T2_Q2.48 + T2_Q2.49.
EXECUTE.

COMPUTE Pre_2_STAM=T1_Q2.50 + T1_Q2.51 + T1_Q2.52 + T1_Q2.53 + T1_Q2.54 + T1_Q2.55 + T1_Q2.56 + T1_Q2.57.
EXECUTE.
COMPUTE Post_2_STAM=T2_Q2.50 + T2_Q2.51 + T2_Q2.52 + T2_Q2.53 + T2_Q2.54 + T2_Q2.55 + T2_Q2.56 + T2_Q2.57.
EXECUTE.

COMPUTE Pre_2_Tech=T1_Q2.58.
EXECUTE.
COMPUTE Post_2_Tech=T2_Q2.58.
EXECUTE.

COMPUTE Pre_2_Ageing=T1_Q2.59.
EXECUTE.
COMPUTE Post_2_Ageing=T2_Q2.59.
EXECUTE.

*T-tests*

T-TEST PAIRS=Pre_whole_design Pre_2A Pre_2B Pre_2C Pre_2D Pre_2E Pre_2F Pre_2G Pre_2H Pre_2I Pre_2J Pre_2K Pre_2L Pre_2M Pre_2N Pre_2O Pre_2P Pre_2Q Pre_2R Pre_2S Pre_2_STAM Pre_2_Tech Pre_2_Ageing WITH Post_whole_design 
  Post_2A Post_2B Post_2C Post_2D Post_2E Post_2F Post_2G Post_2H Post_2I Post_2J Post_2K Post_2L Post_2M Post_2N Post_2O Post_2P Post_2Q Post_2R Post_2S Post_2_STAM Post_2_Tech Post_2_Ageing (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*SECTION 3: ATTITUDE TOWARDS THE OTHER AGE GROUP*

*Recode variables*

RECODE T1_Q3.1 T1_Q3.2 T1_Q3.4 T1_Q3.6 T1_Q3.9 T1_Q3.10 T1_Q3.13 T1_Q3.14 T1_Q3.16 T1_Q3.19 
    T1_Q3.21 T1_Q3.23 T1_Q3.24 T1_Q3.27 (-3=7) (-2=6) (-1=5) (0=4) (1=3) (2=2) (3=1) (ELSE=Copy) INTO T1_Q3.1r T1_Q3.2r 
    T1_Q3.4r T1_Q3.6r T1_Q3.9r T1_Q3.10r T1_Q3.13r T1_Q3.14r T1_Q3.16r T1_Q3.19r T1_Q3.21r T1_Q3.23r 
    T1_Q3.24r T1_Q3.27r.
EXECUTE.

RECODE T2_Q3.1 T2_Q3.2 T2_Q3.4 T2_Q3.6 T2_Q3.9 T2_Q3.10 T2_Q3.13 T2_Q3.14 T2_Q3.16 T2_Q3.19 
    T2_Q3.21 T2_Q3.23 T2_Q3.24 T2_Q3.27 (-3=7) (-2=6) (-1=5) (0=4) (1=3) (2=2) (3=1) (ELSE=Copy) INTO T2_Q3.1r T2_Q3.2r 
    T2_Q3.4r T2_Q3.6r T2_Q3.9r T2_Q3.10r T2_Q3.13r T2_Q3.14r T2_Q3.16r T2_Q3.19r T2_Q3.21r T2_Q3.23r 
    T2_Q3.24r T2_Q3.27r.
EXECUTE.

RECODE T1_Q3.3 T1_Q3.5 T1_Q3.7 T1_Q3.8 T1_Q3.11 T1_Q3.12 T1_Q3.15 T1_Q3.17 T1_Q3.18 T1_Q3.20 
    T1_Q3.22 T1_Q3.25 T1_Q3.26 (-3=1) (-2=2) (-1=3) (0=4) (1=5) (2=2) (3=7) (ELSE=Copy) INTO T1_Q3.3r T1_Q3.5r T1_Q3.7r T1_Q3.8r T1_Q3.11r T1_Q3.12r T1_Q3.15r T1_Q3.17r T1_Q3.18r T1_Q3.20r 
    T1_Q3.22r T1_Q3.25r T1_Q3.26r.
EXECUTE.

RECODE T2_Q3.3 T2_Q3.5 T2_Q3.7 T2_Q3.8 T2_Q3.11 T2_Q3.12 T2_Q3.15 T2_Q3.17 T2_Q3.18 T2_Q3.20 
    T2_Q3.22 T2_Q3.25 T2_Q3.26 (-3=1) (-2=2) (-1=3) (0=4) (1=5) (2=2) (3=7) (ELSE=Copy) INTO T2_Q3.3r T2_Q3.5r T2_Q3.7r T2_Q3.8r T2_Q3.11r T2_Q3.12r T2_Q3.15r T2_Q3.17r T2_Q3.18r T2_Q3.20r 
    T2_Q3.22r T2_Q3.25r T2_Q3.26r.
EXECUTE.

*Compute total scores*

COMPUTE Pre_Sec_3=T1_Q3.1r + T1_Q3.2r + T1_Q3.4r + T1_Q3.6r + T1_Q3.9r + T1_Q3.10r + T1_Q3.13r + T1_Q3.14r + T1_Q3.16r + T1_Q3.19r + T1_Q3.21r + T1_Q3.23r + T1_Q3.24r + T1_Q3.27r
+ T1_Q3.3r + T1_Q3.5r + T1_Q3.7r + T1_Q3.8r + T1_Q3.11r + T1_Q3.12r + T1_Q3.15r + T1_Q3.17r + T1_Q3.18r + T1_Q3.20r + T1_Q3.22r + T1_Q3.25r + T1_Q3.26r.
EXECUTE.

COMPUTE Post_Sec_3=T2_Q3.1r + T2_Q3.2r + T2_Q3.4r + T2_Q3.6r + T2_Q3.9r + T2_Q3.10r + T2_Q3.13r + T2_Q3.14r + T2_Q3.16r + T2_Q3.19r + T2_Q3.21r + T2_Q3.23r + T2_Q3.24r + T2_Q3.27r
+ T2_Q3.3r + T2_Q3.5r + T2_Q3.7r + T2_Q3.8r + T2_Q3.11r + T2_Q3.12r + T2_Q3.15r + T2_Q3.17r + T2_Q3.18r + T2_Q3.20r + T2_Q3.22r + T2_Q3.25r + T2_Q3.26r.
EXECUTE.

*Internal reliability*

RELIABILITY
  /VARIABLES=T1_Q3.1r T1_Q3.2r T1_Q3.3r T1_Q3.4r T1_Q3.5r T1_Q3.6r T1_Q3.7r T1_Q3.8r T1_Q3.9r T1_Q3.10r T1_Q3.11r T1_Q3.12r T1_Q3.13r T1_Q3.14r T1_Q3.15r T1_Q3.16r T1_Q3.17r T1_Q3.18r T1_Q3.19r
  T1_Q3.20r T1_Q3.21r T1_Q3.22r T1_Q3.23r T1_Q3.24r T1_Q3.25r T1_Q3.26r T1_Q3.27r
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

RELIABILITY
  /VARIABLES=T2_Q3.1r T2_Q3.2r T2_Q3.3r T2_Q3.4r T2_Q3.5r T2_Q3.6r T2_Q3.7r T2_Q3.8r T2_Q3.9r T2_Q3.10r T2_Q3.11r T2_Q3.12r T2_Q3.13r T2_Q3.14r T2_Q3.15r T2_Q3.16r T2_Q3.17r T2_Q3.18r T2_Q3.19r
  T2_Q3.20r T2_Q3.21r T2_Q3.22r T2_Q3.23r T2_Q3.24r T2_Q3.25r T2_Q3.26r T2_Q3.27r
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*T-tests*

T-TEST PAIRS=Pre_Sec_3 WITH Post_Sec_3 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*SECTION 4: RELATIONSHIP CIRCLE*

FREQUENCIES VARIABLES=T1_Q4.1 T1_Q4.2 T2_Q4.1 T2_Q4.2
  /ORDER=ANALYSIS.